Bug 1694858 - CVE-2019-9658 checkstyle: Loads external DTDs by default [fedora-all]
Summary: CVE-2019-9658 checkstyle: Loads external DTDs by default [fedora-all]
Keywords:
Status: CLOSED ERRATA
Alias: None
Product: Fedora
Classification: Fedora
Component: checkstyle
Version: 29
Hardware: Unspecified
OS: Unspecified
medium
medium
Target Milestone: ---
Assignee: Mikolaj Izdebski
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On: 1695098
Blocks: CVE-2019-9658
TreeView+ depends on / blocked
 
Reported: 2019-04-01 21:13 UTC by Pedro Sampaio
Modified: 2019-05-21 01:08 UTC (History)
10 users (show)

Fixed In Version: checkstyle-8.0-4.1.fc28 checkstyle-8.0-4.1.fc29 checkstyle-8.0-7.fc30 checkstyle-8.0-7.fc31
Doc Type: No Doc Update
Doc Text:
Clone Of:
Environment:
Last Closed: 2019-05-21 01:08:50 UTC


Attachments (Terms of Use)

Description Pedro Sampaio 2019-04-01 21:13:22 UTC
This is an automatically created tracking bug!  It was created to ensure
that one or more security vulnerabilities are fixed in affected versions
of fedora-all.

For comments that are specific to the vulnerability please use bugs filed
against the "Security Response" product referenced in the "Blocks" field.

For more information see:
http://fedoraproject.org/wiki/Security/TrackingBugs

When submitting as an update, use the fedpkg template provided in the next
comment(s).  This will include the bug IDs of this tracking bug as well as
the relevant top-level CVE bugs.

Please also mention the CVE IDs being fixed in the RPM changelog and the
fedpkg commit message.

NOTE: this issue affects multiple supported versions of Fedora. While only
one tracking bug has been filed, please correct all affected versions at
the same time.  If you need to fix the versions independent of each other,
you may clone this bug as appropriate.

Comment 1 Pedro Sampaio 2019-04-01 21:13:25 UTC
Use the following template to for the 'fedpkg update' request to submit an
update for this issue as it contains the top-level parent bug(s) as well as
this tracking bug.  This will ensure that all associated bugs get updated
when new packages are pushed to stable.

=====

# bugfix, security, enhancement, newpackage (required)
type=security

# low, medium, high, urgent (required)
severity=medium

# testing, stable
request=testing

# Bug numbers: 1234,9876
bugs=1694857,1694858

# Description of your update
notes=Security fix for [PUT CVEs HERE]

# Enable request automation based on the stable/unstable karma thresholds
autokarma=True
stable_karma=3
unstable_karma=-3

# Automatically close bugs when this marked as stable
close_bugs=True

# Suggest that users restart after update
suggest_reboot=False

======

Additionally, you may opt to use the bodhi web interface to submit updates:

https://bodhi.fedoraproject.org/updates/new

Comment 2 Miro Hrončok 2019-04-02 10:48:47 UTC
I've touched this **very little**. Notes:

 * upstream patch doesn't apply cleanly on our current version
 * upgrading to latest version errors 404 in source (might be easyfix)

Comment 3 Mikolaj Izdebski 2019-04-02 13:22:50 UTC
Fix pushed to dist-git. Updates are blocked on rawhide FTBFS.

Comment 4 Miro Hrončok 2019-04-02 13:34:07 UTC
We can do updates without rawhide building.

https://docs.fedoraproject.org/en-US/packaging-guidelines/Versioning/#_rawhide_is_allowed_to_lag_temporarily

Comment 5 Fedora Update System 2019-04-02 13:34:39 UTC
checkstyle-8.0-4.1.fc28 has been submitted as an update to Fedora 28. https://bodhi.fedoraproject.org/updates/FEDORA-2019-a3f67e2364

Comment 6 Fedora Update System 2019-04-02 13:35:41 UTC
checkstyle-8.0-4.1.fc29 has been submitted as an update to Fedora 29. https://bodhi.fedoraproject.org/updates/FEDORA-2019-e4405b4c9f

Comment 7 Mikolaj Izdebski 2019-04-02 13:39:35 UTC
I've submitted updates for supported Fedora versions (28 and 29).
For Fedora 30 I've commited a fix and done the build. Not submitting update for now - F30 is not supported yet anyway.
For Fedora 31 I've commited a fix, but not triggered build due to FTBFS.

Comment 8 Miro Hrončok 2019-04-02 17:12:03 UTC
> Not submitting update for now - F30 is not supported yet anyway.

What is the plan here? Should I do it instead? What is the reason not to submit the update?

Comment 9 Mikolaj Izdebski 2019-04-02 22:10:44 UTC
I did not submit update for F30 because I don't like breaking upgrade path, even if it is permitted by packaging guidelines. But if you don't mind that then feel free to submit update. Or I can do that if you prefer.

Comment 10 Miro Hrončok 2019-04-03 00:13:16 UTC
The upgrade path is broken somewhere. Either 29->30 or 30->31.

Comment 11 Miro Hrončok 2019-04-03 00:14:05 UTC
Except it is not, given the Release number. I understand now, my previous comment was to fast. OK, let's keep it as is for now.

Comment 12 Fedora Update System 2019-04-03 03:53:14 UTC
checkstyle-8.0-4.1.fc28 has been pushed to the Fedora 28 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-a3f67e2364

Comment 13 Fedora Update System 2019-04-03 04:37:57 UTC
checkstyle-8.0-4.1.fc29 has been pushed to the Fedora 29 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-e4405b4c9f

Comment 14 Fedora Update System 2019-04-11 18:43:16 UTC
checkstyle-8.0-4.1.fc28 has been pushed to the Fedora 28 stable repository. If problems still persist, please make note of it in this bug report.

Comment 15 Fedora Update System 2019-04-12 01:16:21 UTC
checkstyle-8.0-4.1.fc29 has been pushed to the Fedora 29 stable repository. If problems still persist, please make note of it in this bug report.

Comment 16 Fedora Update System 2019-04-15 19:00:35 UTC
checkstyle-8.0-7.fc30 has been submitted as an update to Fedora 30. https://bodhi.fedoraproject.org/updates/FEDORA-2019-4696630d6f

Comment 17 Fedora Update System 2019-04-16 01:35:45 UTC
checkstyle-8.0-7.fc30 has been pushed to the Fedora 30 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2019-4696630d6f

Comment 18 Fedora Update System 2019-05-21 01:08:50 UTC
checkstyle-8.0-7.fc30 has been pushed to the Fedora 30 stable repository. If problems still persist, please make note of it in this bug report.


Note You need to log in before you can comment on or make changes to this bug.